Skip to main content
PUT
/
integration
/
other
Add other integration type
curl --request PUT \
  --url https://api.wirespeed.co/integration/other \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "platform": "aws",
  "enabled": true,
  "teamId": "<string>",
  "config": {
    "authType": "oauth2",
    "name": "<string>",
    "customFields": [
      {
        "slug": "<string>",
        "display": "<string>",
        "type": "<string>",
        "required": true,
        "description": "<string>",
        "validationPattern": "<string>",
        "validationMinLength": 123,
        "validationMaxLength": 123,
        "source": "<string>",
        "advancedOption": true,
        "hidden": true,
        "nonEditable": true
      }
    ],
    "logo": "<string>",
    "logoLight": "<string>",
    "logoDark": "<string>",
    "beta": true,
    "description": "<string>",
    "slug": "<string>",
    "internalCreds": true,
    "docsUrl": "<string>",
    "default": true,
    "rtfm": true,
    "useCases": [
      "chat_ops"
    ],
    "webhookActions": [
      {
        "slug": "<string>",
        "display": "<string>",
        "description": "<string>",
        "useCases": [
          "chat_ops"
        ],
        "showWebhookSecret": true
      }
    ],
    "singleInstallOnly": true,
    "oauthRequiresRedirect": true,
    "requiresConfiguration": true,
    "requiresWebhook": true,
    "statusUrl": "<string>",
    "integrationTypes": [
      "collaboration"
    ],
    "hideFromCatalog": true
  },
  "permissionsUpdateAvailable": true,
  "permissionUpdateExplanation": "<string>",
  "identityFields": {},
  "createdAt": "<string>",
  "publicEntitlements": [
    {
      "slug": "<string>",
      "display": "<string>",
      "value": true,
      "dismissed": true,
      "description": "<string>",
      "warning": {
        "when": true,
        "message": "<string>"
      }
    }
  ],
  "healthStatus": "healthy",
  "healthDetails": {
    "highestErrorTier": "critical",
    "errorCount": 123,
    "warningCount": 123,
    "lastCheckedAt": "<string>",
    "lastStatusChangeAt": "<string>"
  },
  "sourceSystemUpdates": true,
  "teamName": "<string>",
  "requiresConfiguration": "<string>",
  "muteHourlyQuality": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

integration
enum<string>
required
Available options:
aws,
axonius,
bitwarden,
box,
checkpoint-firewall,
checkpoint-harmony,
cisco-catalyst,
cisco-duo,
cisco-meraki,
cisco-secure-access,
cisco-umbrella,
connectwise-psa,
crowdstrike-falcon,
darktrace,
email,
fortianalyzer,
fortinet,
generic-json,
generic-syslog,
google-alert-center,
google-directory,
google-security-center,
halcyon,
halo-itsm,
have-i-been-pwned,
horizon3,
hyas-protect,
ipinfo,
jamf-pro,
jamf-protect,
jira-cloud,
jira-data-center,
jumpcloud,
kandji,
manage-engine-ad-audit-plus,
microsoft,
microsoft-entra,
microsoft-teams,
microsoft-teams-v2,
mimecast,
odoo-helpdesk,
okta,
one-password,
orca-security,
palo-alto-networks-cortex,
picus,
ping-one,
reversing-labs,
safebreach,
sentinel-one,
service-now,
slack,
sms,
smtp,
sonic-wall,
stairwell,
thinkst-canary,
vectra,
watchguard-firebox,
windows-event-logs,
wirespeed,
wiz,
wordfence,
zscaler-zpa

Body

application/json
fields
object[]
required

Fields for other type integration configuration

Response

id
string
required

Unique identifier for the integration

platform
enum<string>
required

Integration platform type

Available options:
aws,
axonius,
bitwarden,
box,
checkpoint-firewall,
checkpoint-harmony,
cisco-catalyst,
cisco-duo,
cisco-meraki,
cisco-secure-access,
cisco-umbrella,
connectwise-psa,
crowdstrike-falcon,
darktrace,
email,
fortianalyzer,
fortinet,
generic-json,
generic-syslog,
google-alert-center,
google-directory,
google-security-center,
halcyon,
halo-itsm,
have-i-been-pwned,
horizon3,
hyas-protect,
ipinfo,
jamf-pro,
jamf-protect,
jira-cloud,
jira-data-center,
jumpcloud,
kandji,
manage-engine-ad-audit-plus,
microsoft,
microsoft-entra,
microsoft-teams,
microsoft-teams-v2,
mimecast,
odoo-helpdesk,
okta,
one-password,
orca-security,
palo-alto-networks-cortex,
picus,
ping-one,
reversing-labs,
safebreach,
sentinel-one,
service-now,
slack,
sms,
smtp,
sonic-wall,
stairwell,
thinkst-canary,
vectra,
watchguard-firebox,
windows-event-logs,
wirespeed,
wiz,
wordfence,
zscaler-zpa
enabled
boolean
required

Whether the integration is enabled

teamId
string
required

ID of the team that owns this integration

config
object
required

Integration configuration metadata

permissionsUpdateAvailable
boolean
required

Whether a permissions update is available for this integration

permissionUpdateExplanation
string
required

Explanation for why a permissions update is available

identityFields
object
required

Identity fields that uniquely identify this integration instance

createdAt
string
required

Timestamp when integration was created

publicEntitlements
object[]
required

Public entitlements with their current values and warning states

healthStatus
enum<string> | null
required

Current health status of the integration

Available options:
healthy,
unhealthy,
unstable,
unknown
healthDetails
object
required

Detailed health check information

sourceSystemUpdates
boolean
required

Whether outbound updates (verdict, status, notes, comments) are synced back to this integration

teamName
string

Name of the team that owns this integration

requiresConfiguration
string

Whether the integration requires additional configuration

muteHourlyQuality
object

Mute hourly quality notifications by log type. Key is log type, value is timestamp until which it is muted.